﻿Number.prototype.padLeft = function(base,chr){
   var  len = (String(base || 10).length - String(this).length)+1;
   return len > 0? new Array(len).join(chr || '0')+this : this;
}
    
function showTime(refreshDate) {
    var d = new Date(refreshDate);

    dformat =  formatDate(d);
    document.getElementById("todaysDate").innerHTML = "Information is current as of: " + dformat;                    
}


function formatDate(date) {
	  var hours = date.getHours();
	  var minutes = date.getMinutes();
	  var ampm = hours >= 12 ? 'pm' : 'am';
	  hours = hours % 12;
	  hours = hours ? hours : 12; // the hour '0' should be '12'
	  minutes = minutes < 10 ? '0'+minutes : minutes;
	  var strTime = hours + ':' + minutes + ' ' + ampm;
	  return  strTime + " EST " + (date.getMonth()+1) + "/" + date.getDate() + "/" + date.getFullYear();
	}

function hours12(date) { return (date.getHours() + 24) % 12 || 12; }

function fDate(myDate) {
	var yyyy = myDate.getFullYear().toString();
	var mm = (myDate.getMonth()+1).toString(); // getMonth() is zero-based
	var dd  = myDate.getDate().toString();
	return (mm[1]?mm:"0"+mm[0]) + '/' + (dd[1]?dd:"0"+dd[0]) + '/'+ yyyy;
}; 	
function showArrows(jsDate) {
	var d = new Date();
	var today = d;
	var endDate = new Date((d.getFullYear()+1) + "-" + (d.getMonth()+1) + "-" + (d.getDate()-1));
	var pDate = new Date(jsDate);

	document.getElementById("mDate").innerHTML="<b><a href='javascript:getDataForDate(-1)' class='nu'>&lt;&lt;</a></b>";
	document.getElementById("aDate").innerHTML="<b><a href='javascript:getDataForDate(1)' class='nu'>&gt;&gt;</a></b>";
	
	if (pDate < today) {
		document.getElementById("mDate").innerHTML="<b><a href='javascript:getDataForDate(-1)' class='nu'></a></b>";
	}
	else if (pDate >= endDate) {
		document.getElementById("aDate").innerHTML="<b><a href='javascript:getDataForDate(1)' class='nu'></a></b>";
	};                   
}

