CREATE OR REPLACE FORCE VIEW &1..CEMETERY_V 
("NUM", "NME", "STATE_CD", "DESCR", "MANAGING_STATION_NUM", "CEMETERY_TYPE", "LINE_ONE_ADDR", "LINE_TWO_ADDR", "CITY_NME", 
"ZIP_FIVE_CD", "PHONE_AREA_CODE_ONE_NUM", "PHONE_AREA_CODE_TWO_NUM", "PHONE_ONE_NUM", "PHONE_TWO_NUM") AS 
SELECT C.NUM, C.NME, C.STATE_CD, SP.DESCR, C.MANAGING_STATION_NUM, C.CEMETERY_TYPE,
C.LINE_ONE_ADDR, C.LINE_TWO_ADDR, C.CITY_NME, C.ZIP_FIVE_CD, C.PHONE_AREA_CODE_ONE_NUM, 
C.PHONE_AREA_CODE_TWO_NUM, C.PHONE_ONE_NUM, C.PHONE_TWO_NUM
FROM CEMETERY C
LEFT JOIN STATE_PROVINCE SP ON C.STATE_CD = SP.CD
WHERE SP.COUNTRY_CD = 'US' AND C.CEMETERY_TYPE NOT IN ('A','I')
ORDER BY SP.DESCR, C.STATE_CD, C.NME
/


