
package gov.va.fnod.soa_common.model.fnod;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the gov.va.fnod.soa package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _FnodPayload_QNAME = new QName("http://soa.fnod.domain", "fnodPayload");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema deriaeb classes for package: gov.va.fnod.soa
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link FnodPayload }
     * 
     */
    public FnodPayload createFnodPayload() {
        return new FnodPayload();
    }

    /**
     * Create an instance of {@link PersonName }
     * 
     */
    public PersonName createPersonName() {
        return new PersonName();
    }

    /**
     * Create an instance of {@link FnodCase }
     * 
     */
    public FnodCase createFnodCase() {
        return new FnodCase();
    }

    /**
     * Create an instance of {@link Decedent }
     * 
     */
    public Decedent createDecedent() {
        return new Decedent();
    }

    /**
     * Create an instance of {@link Authentication }
     * 
     */
    public Authentication createAuthentication() {
        return new Authentication();
    }

    /**
     * Create an instance of {@link Insurance }
     * 
     */
    public Insurance createInsurance() {
        return new Insurance();
    }

    /**
     * Create an instance of {@link Cemetery }
     * 
     */
    public Cemetery createCemetery() {
        return new Cemetery();
    }

    /**
     * Create an instance of {@link Address }
     * 
     */
    public Address createAddress() {
        return new Address();
    }

    /**
     * Create an instance of {@link Veteran }
     * 
     */
    public Veteran createVeteran() {
        return new Veteran();
    }

    /**
     * Create an instance of {@link Person }
     * 
     */
    public Person createPerson() {
        return new Person();
    }

    /**
     * Create an instance of {@link Fnod }
     * 
     */
    public Fnod createFnod() {
        return new Fnod();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FnodPayload }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://soa.fnod.domain", name = "fnodPayload")
    public JAXBElement<FnodPayload> createFnodPayload(FnodPayload value) {
        return new JAXBElement<FnodPayload>(_FnodPayload_QNAME, FnodPayload.class, null, value);
    }

}
