package gov.va.fnod.util;

/**
 * 
 * FNOD constants file
 */
public interface FNODConstants {
	public static final String SYSTEM_NAME = "FNOD";
	public static final String VIEWABLE_ATTACHMENT_TYPE = "PDF"; 
	public static final String ADMIN_ROLE = "ADMIN";
	public static final String SUPERVISOR_ROLE = "ADMIN";
	public static final String ACTION_FNOD_RECORD_FROM_PROCESS_CASE = "fnodRecordFromProcessCase";
	public static final String ACTION_FNOD_RECORD_FROM_PARKING_LOT = "fnodRecordFromParkingLot";
	public static final String ASTEOR_VARKING_LOT = "parkingLot";
	public static final String REPORT_ID_DAILY_USER_ACTIVITY = "daily_user_activity";
	
	
	public static final String SPOUSE = "SPOUSE";
	public static final String ERR_MILSRVC_VALIDATION_SUMMARY = "Invalid Service number: ";
	public static final String ERR_MILSRVC_VALIDATION_DETAIL = "field accepts alpha-numeric characters and hyphens and must contain at least one numeric character";
	public static final String WARN_NIS_SENSITIVE_CHECKBOX_SUMMARY = "NIS and Sensitive checkboxes cannot both be selected. ";
	public static final String WARN_NIS_SENSITIVE_CHECKBOX_TXT = "Select either NIS or Sensitive, but not both.";
	public static final String WARN_DOD_BENEFIT_CHECKBOX_SUMMARY = "DOD Already Present and Benefit Cancelled checkboxes cannot both be selected. ";
	public static final String WARN_DOD_BENEFIT_CHECKBOX_TXT = "Select either DOD Already Present or Benefit Cancelled, but not both.";
	public static final String WARN_IRIS_BENEFIT_CHECKBOX_SUMMARY = "IRIS and Benefit Cancelled selection error.";
	public static final String WARN_IRIS_BENEFIT_CHECKBOX_TXT = "When Case Type is AMAS Spouse, ANC Spouse or BOSS Spouse, if IRIS is selected, then Benefit Cancelled must be selected.";
	public static final String WARN_NO_CASES_FOUND_4_RO = "No cases were found to process for regional office: ";
	
	
	public static final String Y = "Y";
	public static final String N = "N";
}
