package gov.va.cem.cbs.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;



@Entity
@Table(name="all_mviews")
@NamedQuery(name="MaterializedViews.findLastRefresh", query="SELECT mv FROM MaterializedViews mv where mv.name=:name")
public class MaterializedViews {

	
	@Id
	@Column(name="MVIEW_NAME", insertable=false, updatable=false)
	private String name;
	
	@Temporal(TemporalType.TIMESTAMP)
	@Column(name="LAST_REFRESH_DATE", insertable=false, updatable=false)
	private Date lastRefreshDate;
	
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public Date getLastRefreshDate() {
		return lastRefreshDate;
	}
	public void setLastRefreshDate(Date lastRefreshDate) {
		this.lastRefreshDate = lastRefreshDate;
	}
	
	
}
