<%@ page session="false"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<c:url value="/" var="contextUri" />
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html lang="en">
<head>
<!-- START: META DATA -->
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="language" content="en">
<meta name="author" content="National Cemetery Administration">
<meta name="subject" content="National Cemetery Administration">
<meta name="keywords"
	content="headstones, markers, cemetery, cemeteries, cemetary, burial, benefits, headstone, marker, veterans, military, national cemetery, national cemeteries, military records, medals, grave">
<meta name="description"
	content="The VA National Cemetery Administration honors the military service of our Nation's veterans.  We provide a dignified burial and lasting memorial for veterans and their eligible family members and we maintain our veterans' cemeteries as national shrines.">
<meta name="datecreated" content="20080429">
<meta name="datereviewed" content="20141201">
<meta name="type" content="Homepage">
<!-- END: META DATA -->

<title>National Cemetery Administration - Cemetery Burial
	Schedule</title>

<style type="text/css" media="screen,print">
@import url(http://www.cem.domain/CEM/styles/site-styles.css);
</style>

<link
	href="http://www.cem.domain/va_files/2014/responsive/styles/bootstrap.css"
	media="all" rel="stylesheet" type="text/css">

<link
	href="http://www.cem.domain/va_files/2014/responsive/styles/layout.css"
	media="all" rel="stylesheet" type="text/css">



<!--[if IE]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie9all.css" /><![endif]-->
<!--[if lt IE 8]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie7.css" /><![endif] -->
<!--[if IE 8]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie8.css" /><![endif]-->

<!-- ****************************** LINKS TO JAVASCRIPT CODE FOR PAGES *********************************** -->

<!-- ****************************** LINKS TO JAVASCRIPT CODE FOR PAGES *********************************** -->

<!-- jQuery Library  -->
<script
	src="http://www.cem.domain/va_files/2014/responsive/scripts/jquery-1-10-2.js"
	type="text/javascript"></script>
<script src="http://www.cem.domain/va_files/2012/scripts/tabs.js"
	type="text/javascript"></script>
<script
	src="http://www.cem.domain/va_files/2012/scripts/jquery-tools-min.js"
	type="text/javascript"></script>
<script type="text/javascript"
	src="http://www.cem.domain/va_files/2012/scripts/script.js"></script>
<script type="text/javascript"
	src="<c:url value='/static/va_files/foresee/foresee-trigger.js' />"></script>
<script id="_fed_an_js_tag" type="text/javascript"
	src="http://www.cem.domain/va_files/scripts/federated-analytics-1-7-2-min.js?agency=VA&amp;pua=UA-46839167-1&amp;sp=QT&amp;ext=asf,psd,rm,ram,wav,dwg,eps,mpg,mpeg&amp;yt=true"></script>
<script
	src="http://www.cem.domain/va_files/2012/scripts/accessible-megamenu.js"
	type="text/javascript"></script>

<!-- left nav function -->
<script type="text/javascript"
	src="<c:url value='/static/va_files/2012/scripts/left-nav.js'/>"></script>

<!-- Page Specific css & javascript-->
<link rel="stylesheet" type="text/css"
	href="<c:url value='/static/jquery/css/jquery.dataTables.css'/>" />
<link rel="stylesheet"
	href="<c:url value='/static/jquery/jquery-ui/jquery-ui.min.css'/>" />

<script type="text/javascript"
	src="<c:url value='/static/jquery/jquery-ui/jquery-ui.js'/>"></script>
<script type="text/javascript"
	src="<c:url value='/static/jquery/jquery.dataTables.min.js'/>"></script>
<!-- End Page Specific css & javascript-->

<!-- START: JAVASCRIPT ROUTINES FOR SITE SPECIFIC -->
<script type="text/javascript" language="javascript">
	$(document).ready(function() {
		$('.cemList').each(function() {
			$(this).text('     ' + $(this).text());
		});
		$('#seachR').dataTable({
			//"scrollY":	"250px",
			"paging" : false,
			"bFilter" : false,
		});
	});
	function display() {
		var field = document.getElementById("cemeteryId");
		if (field.selectedIndex == 0) {
			document.getElementById("lnRequired").innerHTML = "<font color='red'>Required</font>";
			document.getElementById("lnReq").innerHTML = "Required if All Cemeteries selected";
		} else {
			document.getElementById("lnRequired").innerHTML = "Optional";
			document.getElementById("lnReq").innerHTML = "Optional";
		}
	}
	function validateSearch() {
		var field = document.getElementById("cemeteryId");
		var name = document.getElementById("lastName");
		if (field.selectedIndex == 0 && (name.value == '' || name.value == '%')) {
			name.focus;
			document.getElementById("searchb").src = "<c:url value='/static/gfx/disabled-main-search-button.png' />";
			document.getElementById("searchb").disabled = true;
			document.getElementById("searchb").style.cursor = "pointer";
			return false;
		} else {
			document.getElementById("searchb").src = "http://www.cem.domain/va_files/2012/images/main-search-button.png";
			document.getElementById("searchb").disabled = false;
			document.getElementById("searchb").style.cursor = "hand";
			return true;
		}
	}
</script>
<!-- END: JAVASCRIPT ROUTINES FOR SITE SPECIFIC -->
<style>
.cemList {
	text-indent: 10px
}
body { 
	background-color: #FFFFFF !important; }
</style>
</head>

<body onload="validateSearch(); display();">	
			<!-- ================================================================================================================= -->
			<div class="clear"></div>
			<c:choose>
				<c:when test="${empty resultList}">
					<a name="main-content" id="main-content">&nbsp;</a>
					<!-- Skip Nav -->
				</c:when>
				<c:otherwise>
					<a name="search-content" id="search-content">&nbsp;</a>
					<!-- Skip Nav -->
				</c:otherwise>
			</c:choose>
			
			<form name="myForm" method="post"
				action="<c:url value='/'/>QuerySchedule"
				onsubmit="return validateSearch();">

				<table role="presentation" class="roundedTable" border="1">
					<tr>
						<th><label for="cemeteryId">Cemetery</label></th>
						<td colspan="2"><select name="cemeteryId"
							onChange="display();  validateSearch();" id="cemeteryId">
								<option value="*">All</option>
								<c:set var="state" value="" />
								<c:forEach var="c" items="${cemList}" varStatus="i">
									<c:if test="${state != c.stateCd}">
										<c:if test="${i.index > 0}">
											</optgroup>
										</c:if>
										<optgroup label="${c.descr}">
											<c:set var="state" value="${c.stateCd}" />
									</c:if>
									<option value="${c.num}" class="cemList"
										<c:if test="${cemeteryId == c.num}"> selected</c:if>>${c.nme}</option>
								</c:forEach>
								</optgroup>
						</select></td>
					</tr>
					<tr>
						<th><label for="lastName">Last Name <span id="lnReq"
							class="offScreen">Required if All Cemeteries selected</span></label> </th>
						<td width="100px"><input name="lastName" value="${lastName}"
							id="lastName" onKeyUp="validateSearch()" /></td>
						<td width="*" id="lnRequired"><font color="red">Required</font></td>
					</tr>
					<tr>
						<th><label for="firstName">First Name</label></th>
						<td width="100px"><input name="firstName"
							value="${firstName}" id="firstName" /></td>
						<td width="*">Optional</td>
					</tr>

				</table>

				<p style="text-align: center;">
					<label for="search_button"
						style="position: absolute; left: -9999px;">Button to
						submit search criteria</label> <input class="form_button" name="searchb"
						id="searchb" type="image"
						src="http://www.cem.domain/va_files/2012/images/main-search-button.png"
						alt="Click here to submit your search" value="Submit"
						title="Click here to submit your search" />
				</p>

				<div id="sr">
					<c:if test="${not empty resultList}">
						<hr>
						<div class="clear"></div>
						<span style="position: absolute;"><a name="main-content"
							id="main-content">&nbsp;</a></span>
						<!-- Skip Nav -->
						<div class="clear"></div>
						<p>
							Multiple results were returned. Please select a decedent from
							this list or enter new <a href="#search-content">search</a>
							criteria.
						</p>
						<div class="roundPanel"
							style="width: 100%; text-indent: 16px; background-color: #EFEFEF;">
							<center>
								<div style="height: 600px; overflow: auto;">
									<table id="seachR" class="display" cellspacing="0" width="100%"
										border="0" style="text-indent: 0px; font-size: 1em"
										summary="Table cells are read left to right, top to bottom. ">
										<caption>Search Results</caption>
										<thead>
											<tr>
												<th scope="col">Date</th>
												<th scope="col">Name</th>
												<th scope="col">Cemetery<br />Location
												</th>
											</tr>
										</thead>
										<tfoot>
											<tr>
												<th scope="col">Date</th>
												<th scope="col">Name</th>
												<th scope="col">Cemetery<br />Location
												</th>
											</tr>
										</tfoot>
										<tbody>
											<c:forEach var="r" items="${resultList}">
												<tr>
													<td role="gridcell" wrap="nowrap"><fmt:formatDate
															value="${r.scheduledDateTime}" pattern="MM/dd/yyyy" /></td>
													<td role="gridcell"><a style="color: black; font-weight: bold;"
														href="<c:url value='/'/>QS?cemId=${r.cemeteryId}&tDate=<fmt:formatDate value="${r.scheduledDateTime}" pattern="MM/dd/yyyy"/>">${r.lastName},
															${r.firstName} <c:if test="${not empty r.middleName}"> ${r.middleName}</c:if>
															<c:if test="${not empty r.suffix}"> ${r.suffix}</c:if>
													</a></td>
													<td role="gridcell">${r.cemeteryName}<br />${r.cemeteryCity},
														${r.cemeteryState}
													</td>
												</tr>
											</c:forEach>
										</tbody>
									</table>
								</div>
							</center>
						</div>
						<div class="clear"></div>
						<p>
							Multiple results were returned. Please select a decedent from
							this list or enter new <a href="#search-content">search</a>
							criteria.
						</p>
						<a href="#search-content" class="offScreen">back
							to search criteria</a>
					</c:if>
				</div>
				<c:if test="${not empty noResults}">
					<div>
						<hr>
						${noResults} <a href="#main-content"
							class="offScreen">back to search criteria</a>
					</div>
				</c:if>

			</form>
			<!-- ================================================================================================================= -->
		
		<div style="clear: both"></div>
	
	

</body>
</html>
