<%@ page session="false"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<c:forEach items="${resultList}" varStatus="i">
	<c:set var="size" value="${i.count}" />
</c:forEach>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html  lang="en">
<head>
<!-- START: META DATA -->
<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
<meta name="language" content="en">
<meta name="author" content="National Cemetery Administration">
<meta name="subject" content="National Cemetery Administration">
<meta name="keywords"
	content="headstones, markers, cemetery, cemeteries, cemetary, burial, benefits, headstone, marker, veterans, military, national cemetery, national cemeteries, military records, medals, grave">
<meta name="description"
	content="The VA National Cemetery Administration honors the military service of our Nation's veterans.  We provide a dignified burial and lasting memorial for veterans and their eligible family members and we maintain our veterans' cemeteries as national shrines.">
<meta name="datecreated" content="20080429">
<meta name="datereviewed" content="20141201">
<meta name="type" content="Homepage">
<!-- END: META DATA -->

<title>National Cemetery Administration - Cemetery Burial
	Schedule</title>

<style type="text/css" media="screen,print">
@import url(http://www.cem.domain/CEM/styles/site-styles.css);
</style>

<link
	href="http://www.cem.domain/va_files/2014/responsive/styles/bootstrap.css"
	media="all" rel="stylesheet" type="text/css">



<link
	href="http://www.cem.domain/va_files/2014/responsive/styles/layout.css"
	media="all" rel="stylesheet" type="text/css">


<!--[if IE]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie9all.css" /><![endif]-->
<!--[if lt IE 8]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie7.css" /><![endif] -->
<!--[if IE 8]><link type="text/css" rel="stylesheet" media="all" href="http://www.cem.domain/va_files/2012/styles/ie8.css" /><![endif]-->

<!-- ****************************** LINKS TO JAVASCRIPT CODE FOR PAGES *********************************** -->

<!-- ****************************** LINKS TO JAVASCRIPT CODE FOR PAGES *********************************** -->

<!-- jQuery Library  -->
<script
	src="http://www.cem.domain/va_files/2014/responsive/scripts/jquery-1-10-2.js"
	type="text/javascript"></script>
<script src="http://www.cem.domain/va_files/2012/scripts/tabs.js"
	type="text/javascript"></script>
<script
	src="http://www.cem.domain/va_files/2012/scripts/jquery-tools-min.js"
	type="text/javascript"></script>
<script type="text/javascript"
	src="http://www.cem.domain/va_files/2012/scripts/script.js"></script>
<script type="text/javascript"
	src="<c:url value='/static/va_files/foresee/foresee-trigger.js' />"></script>
<script id="_fed_an_js_tag" type="text/javascript"
	src="http://www.cem.domain/va_files/scripts/federated-analytics-1-7-2-min.js?agency=VA&amp;pua=UA-46839167-1&amp;sp=QT&amp;ext=asf,psd,rm,ram,wav,dwg,eps,mpg,mpeg&amp;yt=true"></script>
<script
	src="http://www.cem.domain/va_files/2012/scripts/accessible-megamenu.js"
	type="text/javascript"></script>

<!-- left nav function -->
<script type="text/javascript"
	src="<c:url value='/static/va_files/2012/scripts/left-nav.js'/>"></script>

<!-- Page Specific css & javascript-->
<link rel="stylesheet" type="text/css"
	href="<c:url value='/static/jquery/css/jquery.dataTables.css'/>" />
<link rel="stylesheet"
	href="<c:url value='/static/jquery/jquery-ui/jquery-ui.min.css'/>" />

<script type="text/javascript"
	src="<c:url value='/static/jquery/jquery-ui/jquery-ui.js'/>"></script>
<script type="text/javascript"
	src="<c:url value='/static/jquery/jquery.dataTables.min.js'/>"></script>
<script type="text/javascript"
	src="<c:url value='/static/javascript/cbs.js'/>"></script>
<script type="text/javascript"
	src="<c:url value='/static/javascript/moment.js'/>"></script>
<!-- End Page Specific css & javascript-->

<!-- START: JAVASCRIPT ROUTINES FOR SITE SPECIFIC -->
<script type="text/javascript" language="javascript">
	$(document).ready(function() {
		$('#seachR').dataTable({
			"paging" : false,
			"oLanguage" : {
				"sSearch" : "Filter Records:"
			},
		});
		$("#datepicker").datepicker({
			showOn : "both",
			buttonImage : "<c:url value='/static/gfx/calendar.jpg'/>",
			buttonImageOnly : true,
			buttonText : "Select date",
			dateFormat : 'DD MM d, yy',
			minDate : 0,
			maxDate : "+1Y"
		});
		$('#datepicker').keypress(function(event){
			var keycode = (event.keyCode ? event.keyCode : event.which);
			if(keycode == '13'){
				getDataForDate(0);	
			}
		});
	});
	function getDataForDate(val) {
		var str_date = $('#datepicker').val();		
		var date = new Date(Date.parse(str_date));
		date.setDate(date.getDate() + val);
		document.location.href = "<c:url value='/'/>QS?cemId=${cemetery.num}&tDate="
				+ fDate(date);
	}
</script>
<!-- END: JAVASCRIPT ROUTINES FOR SITE SPECIFIC -->
<style>
.ui-widget-header {
	border: none;
	background: none;
	color: #222;
	font-weight: bold;
}

#datepicker-container {
	text-align: center;
}

#datepicker-center {
	display: inline-block;
	margin: 0 auto;
}

.ui-datepicker-trigger {
	position: relative;
	top: 20px;
	left: -20px;
}
body { 
	background-color: #FFFFFF !important; }
</style>
</head>

<body onload="showTime('${lastRefreshDate}'); showArrows('${jsDate}');">

	
			<!-- ================================================================================================================= -->
			<div class="clear"></div>
			<a name="main-content" id="main-content">&nbsp;</a>
			<!-- Skip Nav -->
			<div class="clear"></div>
			

			<h3 style="text-align: center;">
				<c:choose>
					<c:when test="${not empty url && cemetery.cemeteryType == 'N'}">
						
						<a target="top" href="${url.urlDescr}">${cemetery.nme}</a>
					</c:when>
					<c:otherwise>
						${cemetery.nme}
					</c:otherwise>
				</c:choose>
			</h3>
			<h4 style="text-align: center; font-family: verdana;">
				<small style="font-weight: bold; color: black;"> ${cemetery.lineOneAddr}, <c:if
						test="${not empty cemetery.lineTwoAddr && cemetery.lineTwoAddr != '' }">${cemetery.lineTwoAddr}, </c:if>
					${cemetery.cityNme}, ${cemetery.stateCd} ${cemetery.zipFiveCd} <br />
					(${cemetery.phoneAreaCodeOneNum})
					${fn:substring(cemetery.phoneOneNum, 0, 3)}-${fn:substring(cemetery.phoneOneNum, 3, 7)}
				</small>
			</h4>
			<br />
			<h3>
				<div id="datepicker-container">
					<div id="datepicker-center">
						<span id="mDate" style="color: #003f72;"></span> <label
							for="datepicker" style="position: absolute; left: -9999px;">change
							date</label> <input type="text" id="datepicker" name="datepicker"
							size="30" alt="Change date by entering date in mm/dd/yyyy format"
							style="color: #003f72; text-align: center; background-color: transparent; border: none; display: inline; font-size: 1.17em; font-weight: bold;"
							value="${targetDate}" onchange="getDataForDate(0)" /> <span
							id="aDate" style="color: #003f72;"></span><br />
					</div>
				</div>
			</h3>
			<br />
			<div id="todaysDate"></div>
			<br />
			<c:choose>
				<c:when test="${not empty noResults || empty resultList}">
					<p>No burials are scheduled for this date.</p>
				</c:when>
				<c:otherwise>
					<div class="roundPanel"
						style="width: 100%; text-indent: 16px; background-color: #EFEFEF;">
						<center>
							<div style="height: 600px; overflow: auto;">
								<table id="seachR" class="display" cellspacing="0" width="100%"
									border="0" style="text-indent: 0px; font-size: 1em"
									summary="Table cells are read left to right, top to bottom. ">
									<caption>Burial Schedule</caption>

									<thead>
										<tr>
											<th role="columnheader" scope="col">Time of Service</th>
											<th role="columnheader" scope="col" nowrap="nowrap">Decedent Name</th>
											<th role="columnheader" scope="col">Funeral Home</th>
										</tr>
									</thead>
									<!-- 
									<tfoot>
										<tr>
											<th role="columnheader" scope="col">Time of Service</th>
											<th role="columnheader" scope="col" nowrap="nowrap">Decedent Name</th>
											<th role="columnheader" scope="col">Funeral Home</th>
										</tr>
									</tfoot>
 									-->
									<tbody>
										<c:forEach var="r" items="${resultList}">
											<tr>
												<td nowrap="nowrap" style="text-align: center !important;" role="gridcell">
													<span style="display: none;">${r.scheduledTimestamp}</span>
													<fmt:formatDate value="${r.scheduledTimestamp}"
														pattern="hh:mm a" />
												</td>
												<td  role="gridcell" nowrap="nowrap" style="text-align: left; color:black;">${r.lastName},
													${r.firstName} <c:if
														test="${not empty r.middleName && r.middleName!= ''}"> ${r.middleName} </c:if>
													<c:if test="${not empty r.suffix}"> ${r.suffix}</c:if>
												</td>
												<td role="gridcell">${r.funeralHome }</td>
											</tr>
										</c:forEach>
									</tbody>
								</table>
							</div>
						</center>
					</div>
				</c:otherwise>
			</c:choose>
			<!-- ================================================================================================================= -->
		
		<div style="clear: both"></div>
	
		<br /><br /><br /><br /><br /><br /><br /><br />

	<!-- ***************************** END PAGE CONTENT **************************************** -->

</body>
</html>
