package gov.va.fnod.model;

import java.io.Serializable;
import java.util.Date;

public class SearchCriteria implements Serializable {

	private static final long serialVersionUID = -422094784PORT472911L;

	private Long sourceCaseTypeMapId;
	private Date dateRangeFrom;
	private Date dateRangeTo;
	private Long regionId;
	private Long regionalOfficeId;

	public SearchCriteria() {
		super();
	}
	
	/**
	 * @return the sourceCaseTypeMapId
	 */
	public Long getSourceCaseTypeMapId() {
		return sourceCaseTypeMapId;
	}

	/**
	 * @param sourceCaseTypeMapId
	 *            the sourceCaseTypeMapId to set
	 */
	public void setSourceCaseTypeMapId(Long sourceCaseTypeMapId) {
		this.sourceCaseTypeMapId = sourceCaseTypeMapId;
	}

	/**
	 * @return the dateRangeFrom
	 */
	public Date getDateRangeFrom() {
		return dateRangeFrom;
	}

	/**
	 * @param dateRangeFrom
	 *            the dateRangeFrom to set
	 */
	public void setDateRangeFrom(Date dateRangeFrom) {
		this.dateRangeFrom = dateRangeFrom;
	}

	/**
	 * @return the dateRangeTo
	 */
	public Date getDateRangeTo() {
		return dateRangeTo;
	}

	/**
	 * @param dateRangeTo
	 *            the dateRangeTo to set
	 */
	public void setDateRangeTo(Date dateRangeTo) {
		this.dateRangeTo = dateRangeTo;
	}

	/**
	 * @return the regionId
	 */
	public Long getRegionId() {
		return regionId;
	}

	/**
	 * @param regionId
	 *            the regionId to set
	 */
	public void setRegionId(Long regionId) {
		this.regionId = regionId;
	}

	/**
	 * @return the regionalOfficeId
	 */
	public Long getRegionalOfficeId() {
		return regionalOfficeId;
	}

	/**
	 * @param regionalOfficeId
	 *            the regionalOfficeId to set
	 */
	public void setRegionalOfficeId(Long regionalOfficeId) {
		this.regionalOfficeId = regionalOfficeId;
	}
}
